Skip to main content
GET
Get workspace usage data

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

Unique string identifier for the workspace

Query Parameters

start
string
required

The start date in YYYY-MM or YYYY-MM-DD format

end
string

The end date in YYYY-MM or YYYY-MM-DD format (required when mode is 'range')

mode
enum<string>
required

The mode of date range selection

Available options:
month,
range
format
enum<string>

The output format of the data (defaults to 'csv')

Available options:
csv,
json
table
enum<string>
required

The name of the usage table to retrieve:

  • "users": The list of users categorized by their activity level.
  • "assistant_messages": The list of messages sent by users including the mentioned agents.
  • "builders": The list of builders categorized by their activity level.
  • "assistants": The list of workspace agents and their corresponding usage.
  • "feedback": The list of feedback given by users on the agent messages.
  • "all": A concatenation of all the above tables.
Available options:
users,
assistant_messages,
builders,
assistants,
feedback,
all
includeInactive
boolean

Include users and assistants with zero messages in the export (defaults to false)

Response

The usage data in CSV or JSON format, or a ZIP of multiple CSVs if table is equal to "all"

The response is of type string.